# Class CIM_USBPort
extends CIM_LogicalPort

A Port on a USBHub.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_LogicalPort
|
+--CIM_USBPort

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A Port on a USBHub.
UMLPackagePath | string | CIM::Device::USB
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Availability | uint16 |
Description | string | Indicates whether the Port is currently Powered.
MappingStrings | string | MIF.DMTF|Operational State|006.5, MIB.IETF|HOST-RESOURCES-MIB.hrDeviceStatus, MIF.DMTF|Host Device|001.5
ModelCorrespondence | string | CIM_LogicalDevice.AdditionalAvailability
Override | string | Availability
ValueMap | string | 2, 3, 7
Values | string | Unknown, Running/Full Power, Power Off
Overcurrent | boolean |
Description | string | Indicates whether the Port is disabled due to an overcurrent event.
Power | uint16 |
Description | string | The USB Port's power capability. The current specification defines that 1 or 5 loads can be supported (values 2 or 3 would be specified, respectively).
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Other, 1 Unit Load, 5 Unit Loads
Speed | uint64 |

Description

string

USB Port Speed in bits per second. This speed is determined and set by the attached Device. The 'attached Device' is indicated using the USBConnection association. At this time, only several Port speeds are valid. These are: 1.5Mbps and 12Mbps. The value 0 can also be specified to indicate that the current speed is 'unknown' or 1 to indicate that the speed is 'other' than 1.5 or 12Mbps.

Override | string | Speed
PUnit | string | bit / second
Units | string | Bits per Second
ValueMap | string | 0, 1, 1500000, 12000000
StatusInfo | uint16 |
Description | string | Indicates whether the Port is currently enabled.
MappingStrings | string | MIF.DMTF|Operational State|006.4
Override | string | StatusInfo
ValueMap | string | 2, 3, 4
Values | string | Unknown, Enabled, Disabled
Suspended | boolean |
Description | string | Indicates whether the Port is currently Suspended.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
MaxSpeed | uint64 | CIM_LogicalPort
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherPortType | string | CIM_LogicalPort
PortType | uint16 | CIM_LogicalPort
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedSpeed | uint64 | CIM_LogicalPort
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
UsageRestriction | uint16 | CIM_LogicalPort
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice